curl --request POST \
--url https://crypto.westminister.tech/api/v1/auth/remittance/custodial/corridors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "GB_KE_MPESA",
"source_country_code": "GB",
"dest_country_code": "KE",
"dest_fiat_currency": "KES",
"vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payout_rail": "mpesa",
"active": true
}
'{
"corridor": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "GB-KE",
"source_country_code": "GB",
"dest_country_code": "KE",
"dest_fiat_currency": "KES",
"payout_rail": "mpesa",
"vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Admin-only corridor provisioning endpoint for custodial remittance. Creates a catalog row used by draft/confirm remittance flows.
curl --request POST \
--url https://crypto.westminister.tech/api/v1/auth/remittance/custodial/corridors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "GB_KE_MPESA",
"source_country_code": "GB",
"dest_country_code": "KE",
"dest_fiat_currency": "KES",
"vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payout_rail": "mpesa",
"active": true
}
'{
"corridor": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "GB-KE",
"source_country_code": "GB",
"dest_country_code": "KE",
"dest_fiat_currency": "KES",
"payout_rail": "mpesa",
"vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.crypto.westminister.tech/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
"GB_KE_MPESA"
"GB"
"KE"
"KES"
mpesa, bank Corridor created
Show child attributes